GET /archive_files

zoom.us

Summary: List archived files
Operation ID: listArchivedFiles
Auth: unknown
Description

Zoom’s [archiving solution](https://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data) allows account administrators to set up an automated mechanism to record, collect and archive meeting data to a 3rd party platform of their choice and hence, satisfy FINRA and/ or other compliance requirements.<br><br> Use this API to retrieve archived meeting or webinar files of an account. **Scope:** `recording:read:admin`<br> **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Medium`<br><br> **Prerequisites:** <br> * Enable cloud recording. * Follow the [enablement process](https://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data#h_01ENPBD3WR68D7FAKTBY92SG45) to access the archiving feature.

Parameters (5)

from (string, query, optional)

Start date for the query in "yyyy-MM-dd'T'HH:mm:ss'Z'" format. The duration for the query defined using the "from" and "to" parameters should not exceed 7 days as this API only provides a week's data at once.

next_page_token (string, query, optional)

The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.

page_size (integer, query, optional, default: 30)

The number of records returned within a single API call.

Constraints: {'maximum': 300}

query_data_type (string, query, optional, default: meeting_start_time)

Query data type for `from` and `to`.

Constraints: {'enum': ['meeting_start_time', 'archive_complete_time']}

to (string, query, optional)

End date for the query in "yyyy-MM-dd'T'HH:mm:ss'Z'" format.

No probe data for this endpoint yet.